Check if Machine Code is Available
2/26/26Less than 1 minute
Check if Machine Code is Available
Verify if the machine code is already bound. Supports querying whether the machine code is available and its binding status.
Endpoint: POST /verify/verify_is_machine_code_available
Request Headers
| Parameter | Required | Description |
|---|---|---|
| Content-Type | Yes | Fixed value: application/json |
Request Parameters
| Parameter | Type | Required | Format | Description |
|---|---|---|---|---|
| user_id | string | Yes | 18-character string | User ID number |
| machine_code | string | Yes | 32-character string | Machine code |
Request Example
{
"user_id": "110***********1234",
"machine_code": "abcd1234efgh5678ijkl9012mnop3456"
}Response Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| status | int | Yes | HTTP status code |
| code | string | Yes | Verification result code |
| info | string | Yes | Verification result information |
| result | bool | Yes | Whether the machine code is available |
Success Response Example
Machine Code Already Bound to This User
{
"status": 200,
"code": "10002",
"info": "Machine code already bound to this user",
"result": true
}Machine Code Already Bound to Another User
{
"status": 200,
"code": "10003",
"info": "Machine code already bound",
"result": true
}Machine Code Not Bound
{
"status": 200,
"code": "10000",
"info": "Machine code not bound",
"result": false
}Error Response Example
Endpoint Not Open
{
"status": 403,
"code": "10001",
"info": "Server has not opened this endpoint",
"result": false
}Invalid User ID Format
{
"status": 400,
"code": "10002",
"info": "Invalid user ID format",
"result": false
}Error Code Description
| Code | Description |
|---|---|
| 10000 | Machine code not bound |
| 10001 | Server has not opened this endpoint |
| 10002 | Machine code already bound to this user / Invalid user ID format |
| 10003 | Machine code already bound |
Tip
This endpoint can be used to check if a machine code is available before binding it to a user account.
← Back to API Documentation | ← Check if User is a Cheater | → Register Machine Information